using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njust.Pdf.Analysis.Entities
{
    [Alias(Configs.TableDisOrgan)]
    [Api(Description = "机构分布")]
    public class DisOrgan : EntityWithMetadata
    {
        [ApiMember(Description = "所属领域")]
        public string DomainName { get; set; }

        [ApiMember(Description = "语言")]
        public string Language { get; set; }

        [ApiMember(Description = "年份")]
        public string Year { get; set; }

        [ApiMember(Description = "机构")]
        public string Organ { get; set; }

        [ApiMember(Description = "机构发表文献数量")]
        public int Count { get; set; }
    }
}
